sch-rnd(1)

NAME
sch-rnd - Schematics editor

SYNPOSIS

sch-rnd [options] [inputfile]

DESCRIPTION

sch-rnd is a modular schematics capture (editor). The main use is interactive editing. If no -x is specified on the command line, the graphical editor mode is initiated. Automated, headless processing is also possible with -x or--gui batch.

OPTIONS

--help topic
    Print help about topic and exit; if no topic is specified, print available topics.

-x exporter [exportflags] inputfile
    Instead of interactive editing, export the design (loaded from inputfile) to a file using the specified exporter plugin. A list of exporter-specific parameters may follow to control the details of the process.

--gui hid
    Use the hid plugin for the "gui" frontend. Common choices are "gtk2_gdk" or "lesstif" for graphical user interfaces and "batch" for a headless command-line interface (or automated batch processing).

-c path=val
    Set a config node in role CFR_CLI. The path of the node is path (e.g. editor/grid) and the new value is val (e.g. 5mm).